classification
Title: Python 3.2 installer doesn't register file extensions on Windows 7
Type: behavior Stage:
Components: IDLE, Installation, Windows Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: brian.curtin, darren, loewis, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2011-02-02 21:39 by darren, last changed 2012-09-25 05:34 by roger.serwy. This issue is now closed.

Messages (9)
msg127767 - (view) Author: Darren (darren) Date: 2011-02-02 21:39
The python installer should register the proper file type extensions. Files with .py extensions should have an "open" action associated with the python interpreter and there should also be an "Edit with IDLE" action associated with .py files as well.  I was able to configure both of these things manually on Windows XP but can not figure out how setup the "Edit with IDLE" action on Windows 7.

FWIW: I can run this command from a dos box and get the desired effect.
"C:\Python32\pythonw.exe" "C:\Python32\Lib\idlelib\idle.pyw" -n -e "Test.py"
and I expect the command to be registered with the .py file extension would be
"C:\Python32\pythonw.exe" "C:\Python32\Lib\idlelib\idle.pyw" -n -e "%1"


pythondb

The installer should just do this so python files have reasonable actions associated with them as soon as the install is complete.
msg127769 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-02-02 21:51
Works for me. Just ran the 3.2 RC2 installer and did the following:

(type is like a Windows equivalent of `cat` on *nix) 

>type test.py
import sys
print(sys.version_info)

>test.py
sys.version_info(major=3, minor=2, micro=0, releaselevel='candidate', serial=2)


Additionally, "Edit with IDLE" shows up when right clicking on the file.

Did you get any errors when running the installer? What permissions does your account have?
msg127772 - (view) Author: Darren (darren) Date: 2011-02-02 22:19
Perhaps it was just fixed in RC2?  I did my install last week with RC1.  My account has admin privileges and UAC is disabled on my machine.  There were no errors when I ran the installer.  Tomorrow I will try uninstalling RC1 and reinstalling RC2 to see if that makes a difference.

I definitely have no Edit with Idle option when I right click files.
msg127774 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-02-02 22:30
I don't think any changes were made around that feature, and it has always worked for the last few installations I've done. Please do follow up with your RC2 experience when you have a chance.
msg127968 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-02-05 02:05
On my winxp system, 'open' opens with notepad, perhaps because I set that several years ago. I would like the installer to change that (and not change other stuff that it does change ;-).

The 'open with' submenu does include idle.
msg127980 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-02-05 11:24
Terry, if you are installing Python "for all users", but have the Open rebound just for yourself, it is unreasonable to expect that the Python installation procedure changes it. Per-user settings override machine settings; this is by Microsoft design.

Darren: did you install "for all users" or "just for me"?
msg128160 - (view) Author: Darren (darren) Date: 2011-02-07 23:09
I originally installed rc1 for all users.  Then today I uninstalled and re-installed rc2 for just me and that didn't help anything.
msg128161 - (view) Author: Darren (darren) Date: 2011-02-07 23:11
FWIW I'm using the 64 bit installer on Windows 7
msg171219 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-09-25 05:34
The latest 3.2.3 release for Win7-64 registers the .py extensions properly, with "Open" and "Edit with IDLE". I'm closing this issue as out of date.
History
Date User Action Args
2012-09-25 05:34:52roger.serwysetstatus: open -> closed

nosy: + roger.serwy
messages: + msg171219

resolution: out of date
2011-02-07 23:11:05darrensetnosy: loewis, terry.reedy, brian.curtin, darren
messages: + msg128161
2011-02-07 23:09:23darrensetnosy: loewis, terry.reedy, brian.curtin, darren
messages: + msg128160
2011-02-05 11:24:47loewissetnosy: loewis, terry.reedy, brian.curtin, darren
messages: + msg127980
2011-02-05 02:05:07terry.reedysetnosy: + loewis, terry.reedy
messages: + msg127968
2011-02-02 22:30:49brian.curtinsetmessages: + msg127774
2011-02-02 22:19:40darrensetmessages: + msg127772
2011-02-02 21:51:04brian.curtinsetnosy: + brian.curtin
messages: + msg127769
components: + Windows
2011-02-02 21:39:26darrencreate